// Scripted by Miller.
// Shard:  UO Resurgence <http://www.uoresurgence.com>
// This script is designed to compliment the CustomWeaponAbilities
// as scripted by Gargouille, with enhancements by Lord_Greywolf
// <http://www.runuo.com/forums/custom-script-releases/93672-runuo-2-0-rc1-customizable-weaponabilities.html>
// Customize this script as you wish, but please leave this header

using System;
using System.Collections;
using Server.Items;

namespace Server.Mobiles
{
	public class SBWeaponsMaster : SBInfo
	{
		private ArrayList m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBWeaponsMaster()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override ArrayList BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : ArrayList
		{
			public InternalBuyInfo()
			{
				Add( new GenericBuyInfo( "1041243", typeof( PrimaryAbilityDeed ), 10000, 20, 0x14F0, 0 ) );
                Add(new GenericBuyInfo("1041243", typeof(SecondaryAbilityDeed), 20000, 20, 0x14F0, 0));
                Add(new GenericBuyInfo("1041243", typeof(ThirdAbilityDeed), 30000, 20, 0x14F0, 0));
                Add(new GenericBuyInfo("1041243", typeof(FourthAbilityDeed), 40000, 20, 0x14F0, 0));
                Add(new GenericBuyInfo("1041243", typeof(FifthAbilityDeed), 50000, 20, 0x14F0, 0));

			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
			public InternalSellInfo()
			{
			}
		}
	}
}